grid.place {grid} | R Documentation

## Place an Object within a Frame

### Description

This function provides a simpler interface to the `grid.pack()` function. This can be used to place objects within the existing rows and columns of a frame layout. You lose the ability to add new rows and columns and you lose the ability to affect the heights and widths of the rows and columns, but you avoid some of the speed penalty of dealing with frames without having to specify a complicated combination of arguments to `grid.pack`.

### Usage

    grid.place(frame, grob, grob.name="", draw=TRUE, row=1, col=1)

### Arguments

`frame` | An object of class `frame`, typically the output from a call to `grid.frame`.
`grob` | An object of class `grob`. The object to be packed.
`grob.name` | The name of the grob within the frame. This is crucial if you intend to access the object again, for example, to edit it.
`draw` | A boolean indicating whether the output should be updated.
`row` | Which row to add the object to. Must be between 1 and the-number-of-rows-currently-in-the-frame.
`col` | Which col to add the object to. Must be between 1 and the-number-of-cols-currently-in-the-frame.

### Author(s)

Paul Murrell

### See Also

`grid.frame` and `grid.pack`

[Package Contents]